Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.javax.xml.xquery
Interface XQItemType

All Superinterfaces:
  XQSequenceType

All Known Implementing Classes:
  SaxonXQItemType

    public interface XQItemType

extends XQSequenceType

XQJ interfaces reconstructed from version 0.5 documentation

Field Summary
`static int` | `XQBASETYPE_ANYSIMPLETYPE`
`static int` | `XQBASETYPE_ANYTYPE`
`static int` | `XQBASETYPE_ANYURI`
`static int` | `XQBASETYPE_BASE64BINARY`
`static int` | `XQBASETYPE_BOOLEAN`
`static int` | `XQBASETYPE_BYTE`
`static int` | `XQBASETYPE_DATE`
`static int` | `XQBASETYPE_DATETIME`
`static int` | `XQBASETYPE_DECIMAL`
`static int` | `XQBASETYPE_DOUBLE`
`static int` | `XQBASETYPE_DURATION`
`static int` | `XQBASETYPE_ENTITIES`
`static int` | `XQBASETYPE_ENTITY`
`static int` | `XQBASETYPE_FLOAT`
`static int` | `XQBASETYPE_GDAY`
`static int` | `XQBASETYPE_GMONTH`
`static int` | `XQBASETYPE_GMONTHDAY`
`static int` | `XQBASETYPE_GYEAR`
`static int` | `XQBASETYPE_GYEARMONTH`
`static int` | `XQBASETYPE_HEXBINARY`
`static int` | `XQBASETYPE_ID`
`static int` | `XQBASETYPE_IDREF`
`static int` | `XQBASETYPE_IDREFS`
`static int` | `XQBASETYPE_INT`
`static int` | `XQBASETYPE_INTEGER`
`static int` | `XQBASETYPE_LANGUAGE`
`static int` | `XQBASETYPE_LONG`
`static int` | `XQBASETYPE_NAME`
`static int` | `XQBASETYPE_NCNAME`
`static int` | `XQBASETYPE_NEGATIVE_INTEGER`
`static int` | `XQBASETYPE_NMTOKEN`
`static int` | `XQBASETYPE_NMTOKENS`
`static int` | `XQBASETYPE_NONNEGATIVE_INTEGER`
`static int` | `XQBASETYPE_NONPOSITIVE_INTEGER`
`static int` | `XQBASETYPE_NORMALIZED_STRING`
`static int` | `XQBASETYPE_NOTATION`
`static int` | `XQBASETYPE_POSITIVE_INTEGER`
`static int` | `XQBASETYPE_QNAME`
`static int` | `XQBASETYPE_SHORT`
`static int` | `XQBASETYPE_STRING`
`static int` | `XQBASETYPE_TIME`
`static int` | `XQBASETYPE_TOKEN`
`static int` | `XQBASETYPE_UNSIGNED_BYTE`
`static int` | `XQBASETYPE_UNSIGNED_INT`
`static int` | `XQBASETYPE_UNSIGNED_LONG`
`static int` | `XQBASETYPE_UNSIGNED_SHORT`
`static int` | `XQBASETYPE_XDT_ANYATOMICTYPE`
`static int` | `XQBASETYPE_XDT_DAYTIMEDURATION`
`static int` | `XQBASETYPE_XDT_UNTYPED`
`static int` | `XQBASETYPE_XDT_UNTYPEDATOMIC`
`static int` | `XQBASETYPE_XDT_YEARMONTHDURATION`
`static int` | `XQBASETYPE_XQJ_COMPLEX`
`static int` | `XQBASETYPE_XQJ_LISTTYPE`
`static int` | `XQITEMKIND_ATOMIC`
`static int` | `XQITEMKIND_ATTRIBUTE`
`static int` | `XQITEMKIND_COMMENT`
`static int` | `XQITEMKIND_DOCUMENT`
`static int` | `XQITEMKIND_DOCUMENT_ELEMENT`
`static int` | `XQITEMKIND_ELEMENT`
`static int` | `XQITEMKIND_ITEM`
`static int` | `XQITEMKIND_NODE`
`static int` | `XQITEMKIND_PI`
`static int` | `XQITEMKIND_TEXT`

Fields inherited from interface net.sf.saxon.javax.xml.xquery.XQSequenceType
`OCC_EXACTLY_ONE, OCC_ONE_OR_MORE, OCC_ZERO_OR_MORE, OCC_ZERO_OR_ONE`

Method Summary
`int` | `getBaseType()`
`int` | `getItemKind()`
`int` | `getItemOccurrence()`
`QName` | `getNodeName()`
`URI` | `getSchemaURI()`
`String` | `getString()`
`QName` | `getTypeName()`
`boolean` | `isAnonymousType()`
`boolean` | `isElementNillable()`
`boolean` | `isSchemaElement()`

Methods inherited from interface net.sf.saxon.javax.xml.xquery.XQSequenceType
`getItemType`

Field Detail

### XQBASETYPE_ANYSIMPLETYPE

    static final int XQBASETYPE_ANYSIMPLETYPE

See Also:
  Constant Field Values

### XQBASETYPE_ANYTYPE

    static final int XQBASETYPE_ANYTYPE

See Also:
  Constant Field Values

### XQBASETYPE_ANYURI

    static final int XQBASETYPE_ANYURI

See Also:
  Constant Field Values

### XQBASETYPE_BASE64BINARY

    static final int XQBASETYPE_BASE64BINARY

See Also:
  Constant Field Values

### XQBASETYPE_BOOLEAN

    static final int XQBASETYPE_BOOLEAN

See Also:
  Constant Field Values

### XQBASETYPE_BYTE

    static final int XQBASETYPE_BYTE

See Also:
  Constant Field Values

### XQBASETYPE_DATE

    static final int XQBASETYPE_DATE

See Also:
  Constant Field Values

### XQBASETYPE_DATETIME

    static final int XQBASETYPE_DATETIME

See Also:
  Constant Field Values

### XQBASETYPE_DECIMAL

    static final int XQBASETYPE_DECIMAL

See Also:
  Constant Field Values

### XQBASETYPE_DOUBLE

    static final int XQBASETYPE_DOUBLE

See Also:
  Constant Field Values

### XQBASETYPE_DURATION

    static final int XQBASETYPE_DURATION

See Also:
  Constant Field Values

### XQBASETYPE_ENTITIES

    static final int XQBASETYPE_ENTITIES

See Also:
  Constant Field Values

### XQBASETYPE_ENTITY

    static final int XQBASETYPE_ENTITY

See Also:
  Constant Field Values

### XQBASETYPE_FLOAT

    static final int XQBASETYPE_FLOAT

See Also:
  Constant Field Values

### XQBASETYPE_GDAY

    static final int XQBASETYPE_GDAY

See Also:
  Constant Field Values

### XQBASETYPE_GMONTH

    static final int XQBASETYPE_GMONTH

See Also:
  Constant Field Values

### XQBASETYPE_GMONTHDAY

    static final int XQBASETYPE_GMONTHDAY

See Also:
  Constant Field Values

### XQBASETYPE_GYEAR

    static final int XQBASETYPE_GYEAR

See Also:
  Constant Field Values

### XQBASETYPE_GYEARMONTH

    static final int XQBASETYPE_GYEARMONTH

See Also:
  Constant Field Values

### XQBASETYPE_HEXBINARY

    static final int XQBASETYPE_HEXBINARY

See Also:
  Constant Field Values

### XQBASETYPE_ID

    static final int XQBASETYPE_ID

See Also:
  Constant Field Values

### XQBASETYPE_IDREF

    static final int XQBASETYPE_IDREF

See Also:
  Constant Field Values

### XQBASETYPE_IDREFS

    static final int XQBASETYPE_IDREFS

See Also:
  Constant Field Values

### XQBASETYPE_INT

    static final int XQBASETYPE_INT

See Also:
  Constant Field Values

### XQBASETYPE_INTEGER

    static final int XQBASETYPE_INTEGER

See Also:
  Constant Field Values

### XQBASETYPE_LANGUAGE

    static final int XQBASETYPE_LANGUAGE

See Also:
  Constant Field Values

### XQBASETYPE_LONG

    static final int XQBASETYPE_LONG

See Also:
  Constant Field Values

### XQBASETYPE_NAME

    static final int XQBASETYPE_NAME

See Also:
  Constant Field Values

### XQBASETYPE_NCNAME

    static final int XQBASETYPE_NCNAME

See Also:
  Constant Field Values

### XQBASETYPE_NEGATIVE_INTEGER

    static final int XQBASETYPE_NEGATIVE_INTEGER

See Also:
  Constant Field Values

### XQBASETYPE_NMTOKEN

    static final int XQBASETYPE_NMTOKEN

See Also:
  Constant Field Values

### XQBASETYPE_NMTOKENS

    static final int XQBASETYPE_NMTOKENS

See Also:
  Constant Field Values

### XQBASETYPE_NONNEGATIVE_INTEGER

    static final int XQBASETYPE_NONNEGATIVE_INTEGER

See Also:
  Constant Field Values

### XQBASETYPE_NONPOSITIVE_INTEGER

    static final int XQBASETYPE_NONPOSITIVE_INTEGER

See Also:
  Constant Field Values

### XQBASETYPE_NORMALIZED_STRING

    static final int XQBASETYPE_NORMALIZED_STRING

See Also:
  Constant Field Values

### XQBASETYPE_NOTATION

    static final int XQBASETYPE_NOTATION

See Also:
  Constant Field Values

### XQBASETYPE_POSITIVE_INTEGER

    static final int XQBASETYPE_POSITIVE_INTEGER

See Also:
  Constant Field Values

### XQBASETYPE_QNAME

    static final int XQBASETYPE_QNAME

See Also:
  Constant Field Values

### XQBASETYPE_SHORT

    static final int XQBASETYPE_SHORT

See Also:
  Constant Field Values

### XQBASETYPE_STRING

    static final int XQBASETYPE_STRING

See Also:
  Constant Field Values

### XQBASETYPE_TIME

    static final int XQBASETYPE_TIME

See Also:
  Constant Field Values

### XQBASETYPE_TOKEN

    static final int XQBASETYPE_TOKEN

See Also:
  Constant Field Values

### XQBASETYPE_UNSIGNED_BYTE

    static final int XQBASETYPE_UNSIGNED_BYTE

See Also:
  Constant Field Values

### XQBASETYPE_UNSIGNED_INT

    static final int XQBASETYPE_UNSIGNED_INT

See Also:
  Constant Field Values

### XQBASETYPE_UNSIGNED_LONG

    static final int XQBASETYPE_UNSIGNED_LONG

See Also:
  Constant Field Values

### XQBASETYPE_UNSIGNED_SHORT

    static final int XQBASETYPE_UNSIGNED_SHORT

See Also:
  Constant Field Values

### XQBASETYPE_XDT_ANYATOMICTYPE

    static final int XQBASETYPE_XDT_ANYATOMICTYPE

See Also:
  Constant Field Values

### XQBASETYPE_XDT_DAYTIMEDURATION

    static final int XQBASETYPE_XDT_DAYTIMEDURATION

See Also:
  Constant Field Values

### XQBASETYPE_XDT_UNTYPED

    static final int XQBASETYPE_XDT_UNTYPED

See Also:
  Constant Field Values

### XQBASETYPE_XDT_UNTYPEDATOMIC

    static final int XQBASETYPE_XDT_UNTYPEDATOMIC

See Also:
  Constant Field Values

### XQBASETYPE_XDT_YEARMONTHDURATION

    static final int XQBASETYPE_XDT_YEARMONTHDURATION

See Also:
  Constant Field Values

### XQBASETYPE_XQJ_COMPLEX

    static final int XQBASETYPE_XQJ_COMPLEX

See Also:
  Constant Field Values

### XQBASETYPE_XQJ_LISTTYPE

    static final int XQBASETYPE_XQJ_LISTTYPE

See Also:
  Constant Field Values

### XQITEMKIND_ATOMIC

    static final int XQITEMKIND_ATOMIC

See Also:
  Constant Field Values

### XQITEMKIND_ATTRIBUTE

    static final int XQITEMKIND_ATTRIBUTE

See Also:
  Constant Field Values

### XQITEMKIND_COMMENT

    static final int XQITEMKIND_COMMENT

See Also:
  Constant Field Values

### XQITEMKIND_DOCUMENT

    static final int XQITEMKIND_DOCUMENT

See Also:
  Constant Field Values

### XQITEMKIND_DOCUMENT_ELEMENT

    static final int XQITEMKIND_DOCUMENT_ELEMENT

See Also:
  Constant Field Values

### XQITEMKIND_ELEMENT

    static final int XQITEMKIND_ELEMENT

See Also:
  Constant Field Values

### XQITEMKIND_ITEM

    static final int XQITEMKIND_ITEM

See Also:
  Constant Field Values

### XQITEMKIND_NODE

    static final int XQITEMKIND_NODE

See Also:
  Constant Field Values

### XQITEMKIND_PI

    static final int XQITEMKIND_PI

See Also:
  Constant Field Values

### XQITEMKIND_TEXT

    static final int XQITEMKIND_TEXT

See Also:
  Constant Field Values

Method Detail

### getBaseType

    int getBaseType()

### getItemKind

    int getItemKind()

### getItemOccurrence

    int getItemOccurrence()

  Specified by:
    `getItemOccurrence` in interface `XQSequenceType`

### getNodeName

    QName getNodeName()
                      throws XQException

  Throws:
    `XQException`

### getSchemaURI

    URI getSchemaURI()

### getString

    String getString()
                     throws XQException

  Specified by:
    `getString` in interface `XQSequenceType`
  Throws:
    `XQException`

### getTypeName

    QName getTypeName()
                      throws XQException

  Throws:
    `XQException`

### isAnonymousType

    boolean isAnonymousType()

### isElementNillable

    boolean isElementNillable()

### isSchemaElement

    boolean isSchemaElement()

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.